Results 1 to 5 of 5

Thread: Mate Desktop - missing libXxf86misc.so.1

  1. #1

    Question Mate Desktop - missing libXxf86misc.so.1

    Hey there,

    Iḿ facing a problem installing Mate on a fresh new install of Tumbleweed. I can select and install mate-desktop but two core componentes (mate-screensaver and mate-settings-daemon) require libXxf86misc.so.1, which is apparently not solvable.

    Code:
    #### YaST2 conflicts list - generated 2019-07-21 20:43:10 ####
    
    nothing provides libXxf86misc.so.1()(64bit) needed by mate-settings-daemon-1.22.0-1.3.x86_64
    
        [ ] break mate-settings-daemon-1.22.0-1.3.x86_64 by ignoring some of its dependencies
        [ ] do not install mate-settings-daemon-1.22.0-1.3.x86_64
    
    #### YaST2 conflicts list END ###
    I googled for libXxf86misc.so.1 and apart from this entry at pkgs.org that redirected to a 404 nothing useful was found.

    I tried to use recent version from the MATE Team

    Code:
    zypper ar -r http://download.opensuse.org/repositories/X11:/MATE:/Current/openSUSE_Tumbleweed/X11:MATE:Current.repo
    But the error persists. Without screensaver and settings-daemon the Mate desktop is pretty much useless unfortunately.

    Anyone any ideas/luck to get Mate running on Tumbleweed?

    Greetings,

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,363
    Blog Entries
    3

    Default Re: Mate Desktop - missing libXxf86misc.so.1

    I recently checked orphaned packages. And one of them looked like the package that you are missing.

    I tried removing it, and Yast wanted to also remove MATE. So I kept the package.

    There's a mailing list thread that is probably related:

    MATE - still maintained? Or time to drop it?

    It seems that MATE is currently broken in factory, with some people volunteering to fix it. It might be worth reading that mailing list thread, though it is a bit noisy.
    openSUSE Leap 15.1; KDE Plasma 5;

  3. #3

    Default Re: Mate Desktop - missing libXxf86misc.so.1

    Thanks for the reply. Hmm, there seem to go a lot of things on.
    Apparently MATE dropped libXxf86misc from it's dependencies, but it might still take some time until someone pushes it to Tumbleweed *crossingfingers*

    I just subscribed to opensuse-factory to keep an eye on the topic. Thanks for pointing me in the right direction

    Cheers

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,363
    Blog Entries
    3

    Default Re: Mate Desktop - missing libXxf86misc.so.1

    I'm not really a MATE user, though I do have it installed on some systems (just for testing).

    It does look to me as if the problem will resolve itself in a little while. If you are desperate to install MATE right now, you can probably find the missing package via the history repos http://download.opensuse.org/history/.
    openSUSE Leap 15.1; KDE Plasma 5;

  5. #5

    Default Re: Mate Desktop - missing libXxf86misc.so.1

    Quote Originally Posted by nrickert View Post
    I'm not really a MATE user, though I do have it installed on some systems (just for testing).

    It does look to me as if the problem will resolve itself in a little while. If you are desperate to install MATE right now, you can probably find the missing package via the history repos http://download.opensuse.org/history/.
    It looks like there is some momentum and Jonathan is on the way to build Mate 1.23.x

    I can live with XFCE for a while but would really really like to have MATE. Was already considering building it myself.

    Anyways, that's good news and the issue might be resolved in a couple of days :-)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •